[fxruby-users] foxguib

Antti Karanta Antti.Karanta at iki.fi
Wed Feb 1 15:58:55 EST 2006


On Wednesday 01 February 2006 20:42, Diego Cano Lagneaux wrote:

> > hi fxruby users!
> >
> > i decided to maybe put some efforts into a new release of foxguib. as
> > the creator and maintainer of foxguib (who sadly never got much
> > feedback) i am very interested if it is worth the effort. often i
> > heard the opinion: "well, foxguib is nice, but i prefer coding my
> > interfaces by hand."
>
> Personally, I find GUI coding the most boring coding there is, so I really
> appreciate something like foxguib. I discovered it 2 days ago, and rapidly
> try it. I don't have much experience of it yet, but what I would like on a
> next release of foxguib would be
> a) More documentation
> b) Maybe some way to add messages to the components?

  I could not agree more - coding a gui is boring, especially with trial and 
error approach. And a good gui requires a lot of coding. A builder would be 
great.

  I tried foxguib some time ago (October 05 I believe) on my work win laptop 
and what I quit at was the lack of documentation. Although I had to admit I 
had downloaded it to try it out on a cross-atlantic flight, so I did not have 
access to the wiki-page. Would it be a good idea to bundle whatever 
documentation there is into the download and add a link to the foxguib home 
saying something like "Check the latest doc to make sure you are up to date" 
or some such.


  I just tried it on my linux laptop and all I got was a crash:

antti at hyperion:~/downloaded/ruby/foxGUIb> ruby foxGUIb.rbw 
./FX.rb:634: uninitialized constant FX::Text (NameError)
        from foxGUIb.rbw:11
antti at hyperion:~/downloaded/ruby/foxGUIb> ruby -rfox14 foxGUIb.rbw 
/usr/local/lib/ruby/site_ruby/1.8/i686-linux/fox12.so: [BUG] Segmentation 
fault
ruby 1.8.4 (2005-12-24) [i686-linux]

Aborted
antti at hyperion:~/downloaded/ruby/foxGUIb> ruby -rfox12 foxGUIb.rbw 
./FX.rb:634: uninitialized constant FX::Text (NameError)
        from foxGUIb.rbw:11

  Could be my environment, too. I'm running Suse 9.1, ruby 1.8.4, fxruby 1.4.4 
(although the .so file for fxruby 1.2 seems to still be there, too) and fox 
1.4.26.

  Maybe it could be mentioned in the documentation what version combination of 
ruby-fox-fxruby the builder has been verified to work on, and of course on 
what os(es), too?


  But to answer the original quetion: if I am able to get the foxguib up and 
running and can actually build a gui with it, I'll be sure to use it! I'm 
working on a moderately large fxruby gui atm and could really use a tool like 
this.



         -Antti-




More information about the fxruby-users mailing list